﻿
(function () {
    //重写isPCComputer,表示当前是移动端
    window.APOLLOUI_SYSTEM_GLOBAL_VOL.isPCComputer = function () {
        return false;
    };

    //为APP静态页
    window.APOLLOUI_SYSTEM_GLOBAL_VOL.isapph5 = function () {
        return true;
    };

    function isWeiXin() {
        var ua = window.navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == 'micromessenger') {
            return true;
        } else {
            return false;
        }
    }
    function ishtml5() {
        if (window.applicationCache) {
            return true;
        } else {
            return false;
        }
    }

    var isSupportLocal = false;
    if (localStorage) {
        isSupportLocal = true;
    } else {
        isSupportLocal = false;
    }

    function getLocVal(key) {
        try {

            if (isSupportLocal == true) //支持本地化存储
            {
                var v = localStorage.getItem(key);
                if (v == null)
                    return "";
                else
                    return v;
            }
        }
        catch (e) { }
        return "";
    }




    /**
    * 获取当前Phone所在目录（完整访问路径),主意，aeditor.js必须是在编辑器目录的根目录下
    */
    function getJSPath() {
        var path = "";
        var scriptNodes = document.getElementsByTagName("script");
        for (var i = 0; i < scriptNodes.length; i++) {
            var src = scriptNodes[i].src;
            if (!src) {
                continue;
            }
            var m = src.match(/Content\/apolloui\/JsMobileLoader\.js(\W|$)/i);
            if (m) {
                path = src.substring(0, m.index);
            }
        }
        return path;
    }


    function loadAllScript(rootvpath) {
        var JSSiteUrl = "", webApiSiteUrl = "";
        if (rootvpath == null || rootvpath == "")
            rootvpath = "/";

        var jsPath = rootvpath + "Content/";

        var release = window.APOLLOUI_SYSTEM_GLOBAL_VOL.release;

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/mui/mui.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/mui/mui-extend.css\" />");
        
        
        //先添加Appcan CSS
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/appcan/fonts/font-awesome.min.css\" />");


        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/appcan/ui-box.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/appcan/ui-base.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/appcan/ui-color.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/appcan/appcan.icon.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/appcan/appcan.control.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/extend/ui-base-extend.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/extend/ui-color-extend.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/extend/appcan.control-extend.css\" />");


        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/icomoon/style.css\">");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/apolloui-mobile.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/third-party/animate.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/aui_animations.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/apolloui-extend-mobile.css\" />");





        document.write("<link rel=\"stylesheet\" href=\"" + rootvpath + "Mobile/Content/App/css/ping-style.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + rootvpath + "Mobile/Content/Styles/main.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + rootvpath + "Mobile/Content/Styles/YunKang-AppStyle.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/media.css\" />");


        //再添加JS
        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/mui/mui.js\"></script>");
        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/mui/mui-extend.js\"></script>");

        


        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/jquery.min.js\"></script>");
        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/jquery.validate.min.js\"></script>");
        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/modernizr.custom.js\"></script>");      

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/apollo.js?v=" + release + "\"></script>");

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/apollo.extend.js?v=" + release + "\"></script>");

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/apollo.dialog.mobile.js?v=" + release + "\"></script>");

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/appcanadapter.js?v=" + release + "\"></script>");
    }

    var rootvpath = getJSPath();
    window.APOLLOUI_SYSTEM_GLOBAL_VOL.rootvpath = rootvpath;


    loadAllScript(rootvpath);
})();

function showkuaidi100(no) {
    var curl = location.href;
    var url = "https://m.kuaidi100.com/app/query/?nu=" + no + "&coname=apollo&callbackurl=" + curl;

    location.href = url;
}

//图片加载错误时激活的事件
function onLoadImgError(img) {
    try {
        img.onerror = null;
    }
    catch (e) { }
    $(img).attr("src", apollo.getvpath("Content/Images/NoPic.png"));
}

function onLoadPhotoError(img) {
    try {
        img.onerror = null;
    }
    catch (e) { }
    $(img).attr("src", apollo.getvpath("Content/Images/perheadPic.jpg"));
}

(function (doc, win) {
    var docEl = doc.documentElement,
    resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
    recalc = function () {
        var clientWidth = docEl.clientWidth;
        if (!clientWidth) return;
        var fs = 16 * (clientWidth / 320);
        if (fs > 20) fs = 20;
        docEl.style.fontSize = fs + 'px';
    };

    if (!doc.addEventListener) return;
    win.addEventListener(resizeEvt, recalc, false);
    doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);


function gotoUrlforAppcan(url) {
    url = apollo.getvpath( mvcurlTohtmurl(url),true);
    setLocVal("currentLocationHref", url);

    alert(url);

    location.href = url;
}


function gotoPageforAppcan(name, url) {
    url = apollo.getvpath( mvcurlTohtmurl(url));
    setLocVal("currentLocationHref", url);
    try {
        openNewWin(name, url);
    }
    catch (e) {
        location.href = url;
    }
}

function mvcurlTohtmurl(url) {
    if (isAppcan == true) {
        try {
            var index = url.indexOf("?");
            if (index > 0) {
                var purl = url.substring(0, index);
                var nurl = url.substring(index, url.length);
                if (!apollo.Lib.endsWith(purl, ".html") && !apollo.Lib.endsWith(purl, ".htm") && !apollo.Lib.endsWith(purl, ".aspx") && !apollo.Lib.endsWith(purl, ".asp"))
                    purl += ".html";
                url = purl + nurl;
            }
            else if (index < 0) {
                if (!apollo.Lib.endsWith(url, ".html") && !apollo.Lib.endsWith(url, ".htm") && !apollo.Lib.endsWith(url, ".aspx") && !apollo.Lib.endsWith(url, ".asp"))
                    url += ".html";
            }
        }
        catch (e) {
            alert("gotoPage:" + e.message);
        }
    }
    return url;
}

function openUrl(url) {
    if (isAppcan == true) {
        gotoUrlforAppcan(url);
    }
    else {
        url = apollo.getvpath(url,true);
        location.href = url;
    }
}

//为适配appcan和微信，这里统一打开窗口和关闭窗口方法
//打开新窗口
function openWin() {
    var name="", url="";
    if (arguments.length == 0) return;
    if (arguments.length == 1)
        url = arguments[0];
    if (arguments.length > 1)
    {
        name = arguments[0];
        url = arguments[1];
    }
    if (isAppcan == true) {
        gotoUrlforAppcan(url);
        //gotoPageforAppcan(name, url);
    }
    else
    {
        url = apollo.getvpath(url, true);
        location.href = url;
    }
}