/* To avoid CSS expressions while still supporting IE 7 and IE 6, use this script */
/* The script tag referencing this file must be placed before the ending body tag. */

/* Use conditional comments in order to target IE 7 and older:
	<!--[if lt IE 8]><!-->
	<script src="ie7/ie7.js"></script>
	<!--<![endif]-->
*/

(function() {
	function addIcon(el, entity) {
		var html = el.innerHTML;
		el.innerHTML = '<span style="font-family: \'icomoon\'">' + entity + '</span>' + html;
	}
	var icons = {
		'icon-iconset0280': '&#xe6b3;',
		'icon-saoyisao': '&#xe64c;',
		'icon-pingtaiduo01': '&#xe785;',
		'icon-site21': '&#xe71e;',
		'icon-021': '&#xe638;',
		'icon-shezhi1': '&#xe62c;',
		'icon-dianicon1': '&#xe62d;',
		'icon-icon': '&#xe648;',
		'icon-icon1': '&#xe649;',
		'icon-jilu11': '&#xe62e;',
		'icon-shouji': '&#xe62f;',
		'icon-shouye1': '&#xe630;',
		'icon-weiXin-copy1': '&#xe631;',
		'icon-geren1': '&#xe632;',
		'icon-fenxiang21': '&#xe650;',
		'icon-zhanghaozhuanhuan1': '&#xe633;',
		'icon-mima1': '&#xe664;',
		'icon-kehu21': '&#xe634;',
		'icon-shenqingkaidian1': '&#xe6c3;',
		'icon-yanzhengma11': '&#xe676;',
		'icon-gouwuche1': '&#xe635;',
		'icon-tuikuan1': '&#xe636;',
		'icon-uniE6031': '&#xe639;',
		'icon-uniE6041': '&#xe63a;',
		'icon-uniE6051': '&#xe63b;',
		'icon-uniE6071': '&#xe63c;',
		'icon-uniE6081': '&#xe63d;',
		'icon-uniE60B1': '&#xe63e;',
		'icon-delete': '&#xe69d;',
		'icon-set': '&#xe690;',
		'icon-erweima1688': '&#xe6c8;',
		'icon-wode': '&#xe606;',
		'icon-share': '&#xe610;',
		'icon-site2': '&#xe71d;',
		'icon-02': '&#xe637;',
		'icon-shezhi': '&#xe615;',
		'icon-dianicon': '&#xe60c;',
		'icon-jilu1': '&#xe627;',
		'icon-zaixianzhifu': '&#xe62b;',
		'icon-shouye': '&#xe608;',
		'icon-iconjulebu': '&#xe607;',
		'icon-weiXin-copy': '&#xe601;',
		'icon-geren': '&#xe614;',
		'icon-fenxiang2': '&#xe64f;',
		'icon-daifahuo1': '&#xe60b;',
		'icon-zhanghaozhuanhuan': '&#xe60a;',
		'icon-daishouhuo': '&#xe617;',
		'icon-mima': '&#xe663;',
		'icon-kehu2': '&#xe611;',
		'icon-shenqingkaidian': '&#xe6c2;',
		'icon-yanzhengma1': '&#xe675;',
		'icon-gouwuche': '&#xe624;',
		'icon-weixinzhifu': '&#xe65e;',
		'icon-daifukuan': '&#xe609;',
		'icon-shunxupailie': '&#xe602;',
		'icon-shunxupailie1': '&#xe603;',
		'icon-yejitongji': '&#xe756;',
		'icon-x': '&#x78;',
		'icon-uniE600': '&#xe600;',
		'icon-uniE601': '&#xe604;',
		'icon-uniE602': '&#xe605;',
		'icon-uniE603': '&#xe60d;',
		'icon-uniE604': '&#xe60e;',
		'icon-uniE605': '&#xe60f;',
		'icon-uniE606': '&#xe612;',
		'icon-uniE607': '&#xe613;',
		'icon-uniE608': '&#xe616;',
		'icon-uniE609': '&#xe618;',
		'icon-uniE60A': '&#xe619;',
		'icon-uniE60B': '&#xe61a;',
		'icon-uniE60C': '&#xe61b;',
		'icon-uniE60D': '&#xe61c;',
		'icon-uniE60E': '&#xe61d;',
		'icon-uniE60F': '&#xe61e;',
		'icon-uniE610': '&#xe61f;',
		'icon-uniE611': '&#xe620;',
		'icon-uniE612': '&#xe621;',
		'icon-uniE613': '&#xe622;',
		'icon-uniE614': '&#xe623;',
		'icon-uniE615': '&#xe625;',
		'icon-uniE616': '&#xe626;',
		'icon-uniE617': '&#xe628;',
		'icon-uniE618': '&#xe629;',
		'icon-uniE619': '&#xe62a;',
		'icon-home3': '&#xe902;',
		'icon-connection': '&#xe91b;',
		'icon-barcode': '&#xe937;',
		'icon-qrcode': '&#xe938;',
		'0': 0
		},
		els = document.getElementsByTagName('*'),
		i, c, el;
	for (i = 0; ; i += 1) {
		el = els[i];
		if(!el) {
			break;
		}
		c = el.className;
		c = c.match(/icon-[^\s'"]+/);
		if (c && icons[c[0]]) {
			addIcon(el, icons[c[0]]);
		}
	}
}());
