﻿(function ($, app) {
    var myForm = $("#formBaseInfo");
    var report = ReportPage.report;
        var partail = apollo.Partial({
            data:{
                IsShowReportTip: false //是否显示报单提示
            },
            onupdate:function(e)
            {
                e.update();

                //身份证改变时，取到出生日期
                if (e.id=="txtIDCode")
                {
                    var isv = $(e.target).valid();
                    if (isv) {
                        var idcode = e.value;
                        if (idcode.length == 18) {
                            var date = idcode.substring(6, 14);
                            var bd = date.substring(0, 4) + "-" + date.substring(4, 6) + "-" + date.substring(6, 8);
                            ReportPage.report.BirthDay = bd;
                            apollo.app.setdata("Report.BirthDay");
                        }
                    }
                }
            }
        });

        //初始加载后要注册当前步骤
        stepUtil.reg({
            partial: partail,
            reflash: function () {//每次进入时都会执行的方法,不管是上一步还是下一步
                apollo.app.setdata({
                    IsShowReportTip: false //是否显示报单提示
                });
            },
            //这是进入下一步前的检测方法，如果无参数，则直接返回true或false，有参数，则不需要直接返回值 ，参数为一个进入下一步的委托方法，根据自行处理后达到条件，调用该方法就可直接进入下一步了
            valid: function (toNextFun) {
                var isValid = myForm.valid();//进行输入项基本检测
                if (!isValid) {
                    alert("检测发现您输入的信息不符合要求，请核查您的信息！");
                    return false;//不马上进入下一步
                }

                //再信息再次提交后台，由后台进行验证
                var param = ReportPage.createparam();
                apollo.api("CKRegReportApi", "CheckIsValid", param, function (rtn) {
                    if (rtn.IsSuccess) //检测通过
                    {
                        //注意，这里要重新更新报单对象信息,为不改变原报单对象，这里采用复制方式
                        $.extend(true,report, rtn.ReturnValue);

                        //再次刷新一下
                        apollo.app.setdata("Report", "Report.RegUseRole", "MobileCheck");

                        //调用参数委托方法进入下一步
                        toNextFun();
                    }
                    else
                        alert(rtn.Message);
                });
                //注意，这里不马上进入下一步，所以直接返回false
                return false;
            }
        });
    })(jQuery, apollo.app);