﻿(function ($) {
    window.customUtil = (function () {
        var arrCustom = [];//存储所有定制对象

        function getname(code) {
            if (apollo.Lib.isIn(code, ["2FS0001", "2FS0001-A"]))
                return "2FS0001";
            else if (apollo.Lib.isIn(code, ["2FS0002", "2FS0002-A"]))
                return "2FS0002";
            else
                return code;
        }

        function OnSetCustom(product,isupdate, _callback) {
            var callback = _callback;
            var info = product;
            if (info == null) return;
            var successFun = function (rtn) {
                if (rtn.IsSuccess) {
                    var param = {
                        isupdate: isupdate,
                        OrderNum: 1,
                        Product: info,//私人订制产品基本信息
                        CustomInfo: rtn.ReturnValue.CustomInfo, //当前私人定制产品定制对象,里面包含有初始输入参数信息
                        CustomInfoUIParam: rtn.ReturnValue.CustomInfoUIParam//辅助输入信息
                    };
                    var custom = info.CustomInfo;
                    if (custom != null)
                        param.CustomInfo = custom;


                    $('html,body').animate({ scrollTop: 0 }, 'slow');
                    openModelDialogMax(RS.pageInfo.rootvpath + "Content/PrivateOrder/" + getname(info.ProductCode) + "/Index.html", 1024, 500, function (rtnParam) {
                        if (rtnParam == null)
                            return;

                        if (rtnParam.OrderNum > 0 && rtnParam.CustomInfo != null) //传入正常参数
                        {
                            if (callback != null)
                                callback(rtnParam.CustomInfo);
                        }
                    }, param);
                }
                else {
                    showNotice("获取定制参数时失败，请稍候再试！");
                }
            };
            apollo.api("CKOrderApi", "GetCustomInfo", { ProductCode: info.ProductCode }, successFun);
        }

        return {
            show: function (prod,isupdate, callback) {//显示私人定制
                OnSetCustom(prod, isupdate, callback);
            }
        }
    })();
})(jQuery);