var isPhone = (window.navigator.platform != "Win32");
var isAndroid = (window.navigator.userAgent.indexOf('Android')>=0)?true : false;
var   Interface ='https://appinterface.apollo.cn/Public/Apollo3Pattern.aspx';  //生产环境接口
function MyPageInterFace(){
	if (getLocVal('getWidgetInfoName') == '移动业务助手') {
		 Interface = 'https://appinterface.apollo.cn/Public/Apollo3Pattern.aspx';
	}else{
		Interface = 'https://appinterface-test.apollo.cn/Public/Apollo3Pattern.aspx';
	}
}
function myInterFace(){
	if (getLocVal('mySystemName') == 1) {
	    Interface = 'https://appinterface-test.apollo.cn/Public/Apollo3Pattern.aspx';//测试环境接口
	}else if(getLocVal('mySystemName') == 2){
	    Interface = 'https://appinterface.apollo.cn/Public/Apollo3Pattern.aspx';//生产环境接口
	}
}
/**
 * @param String inWndName 新窗口名称
 * @param String html		新窗口路径
 * @param String inAniID	打开动画
 * @param String f
 */
function openNewWin(name,url,anim,f){
         if(isAndroid){
            uexWindow.open(name,'0',url,anim, '','', '0');//由右往左切入;区分推入
          }else{
              uexWindow.open(name,'0',url,anim,'','',(f)?f:0,250);
              }
         }

/**
 * 关闭窗口
 * @param string n 关闭窗口动画，默认-1
 */
function winClose(n){
	uexWindow.close(-1);	
}

/**
 * 去除字符串中的空格
 * @param String s
 */
function trim(s) {
	var count = s.length;
	var st = 0;
	var end = count - 1;

	if (s == "")
		return s;
	while (st < count) {
		if (s.charAt(st) == " ")
			st++;
		else
			break;
	}
	while (end > st) {
		if (s.charAt(end) == " ")
			end--;
		else
			break;
	}
	return s.substring(st, end + 1);
}

/**
 * 计算字符串的长度
 * @param String strTemp
 */
function fucCheckLength(strTemp) {
	var i, sum;
	sum = 0;
	for (i = 0; i < strTemp.length; i++) {
		if ((strTemp.charCodeAt(i) >= 0) && (strTemp.charCodeAt(i) <= 255))
			sum = sum + 1;
		else
			sum = sum + 2;
	}
	return sum;
}

/**
 * 输出loag
 * @param String s 需要输出的信息
 * @param String a 添加的标注信息
 */
function logs(s,a){
	if(typeof s == 'object'){
		s = JSON.stringify(s);
	}
	a = a ? a : "";
	if(!isPhone){
		console.log(a+s);
	}else{
		uexLog.sendLog(a+s);
	}
}

/**
 * localStorage保存数据
 * @param String key  保存数据的key值
 * @param String value  保存的数据
 */
function setLocVal(key,value){
	window.localStorage[key] = value;
}

/**
 * 根据key取localStorage的值
 * @param Stirng key 保存的key值
 */
function getLocVal(key){
	if(window.localStorage[key])
		return window.localStorage[key];
	else
		return "";
}

/**
 * 清除缓存
 * @param Striong key  保存数据的key，如果不传清空所有缓存数据
 */
function clearLocVal(key){
	if(key)
		window.localStorage.removeItem(key);
	else
		window.localStorage.clear();
}

/**
 * alert 和 confirm 弹出框
 * @param String str 提示语
 * @param Function callback confirm的回调函数
 */
function alert(str,callback){
	if(callback){
		uexWindow.cbConfirm = function(opId,dataType,data){
			if(data == 0)
				callback(); 
		}
		uexWindow.confirm('提示',str,['确定','取消'])
	}else
		uexWindow.alert('提示',str,'确定');
}

/**
 * 根据时间戳获取年、月、日
 * @param String str 时间戳
 * @param Boolean f 是否在原来的基础上*1000，true要*，false或不填就不*
 */
function getMakeTimes(str,f){
	var t = (f) ? int(str) : int(str)*1000;
	var d = new Date(t);
	var y = d.getFullYear();
	var m = setNum(d.getMonth()+1);
	var d = setNum(d.d.getDate());
	return y+"-"+m+"-"+d;
}

function setNum(s){
	return (int(s)>9) ? s : '0'+s;
}

/**
 * 在其他窗口中执行指定主窗口中的代码
 * @param String wn  需要执行代码窗口的名称
 * @param String scr 需要执行的代码
 */
function uescript(wn, scr){
	uexWindow.evaluateScript(wn,'0',scr);
}

/**
 * 在其他窗口中执行指定浮动窗口中的代码
 * @param String wn  需要执行代码浮动窗口所在的主窗口的名称
 * @param String pn  需要执行代码的浮动窗口的名称
 * @param String scr 需要执行的代码
 */
function ueppscript(wn, pn, scr){
	uexWindow.evaluatePopoverScript(wn,pn,scr);
}

/**
 * 判断是否是空
 * @param value
 */
function isDefine(value){
    if(value == null || value == "" || value == "undefined" || value == undefined || value == "null" || value == "(null)" || value == 'NULL' || typeof(value) == 'undefined'){
        return false;
    }
    else{
		value = value+"";
        value = value.replace(/\s/g,"");
        if(value == ""){
            return false;
        }
        return true;
    }
}

/**
 * 图片预加载
 * @param String imgId div的ID，图片加载成功后给该div换背景
 * @param String imgUrl 图片路径
 */
function preloadImg(imgId,imgUrl){
	var newImg = new Image();
	newImg.src = imgUrl;
	newImg.onload=function(){
		$$(imgId).style.backgroundImage = "url("+newImg.src+")";
		newImg = null;
	}

}

/**
 * 给DOM对象赋值innerHTML
 * @param String id 对象id或者对象
 * @param String html html字符串
 * @param String showstr 当html不存在时的提示语
 */
function setHtml(id, html,showstr) {
	var showval = isDefine(showstr)? showstr : "";
	if ("string" == typeof(id)) {
		var ele = $$(id);
		if (ele != null) {
			ele.innerHTML = isDefine(html) ? html : showval;
		}else{
			alert("没有id为"+id+"的对象");
		}
	} else if (id != null) {
		id.innerHTML = isDefine(html) ? html : showval;
	}
}

/**
 * 设置平台弹动效果
 * @param int sta   0=无弹动效果   1=默认弹动效果  2=设置图片弹动
 * @param Function downcb 下拉
 * @param Function upcb   上拖
 */
function setPageBounce(sta,downcb, upcb,upTime){
	if(sta == 0) return;
	var color = "#FFF";
	if(sta == 1){
		var s = ['0', '0'];
		var str = '';
		uexWindow.onBounceStateChange = function (type,status){
			if(downcb && type==0 && status==2) downcb();
			if(upcb && type==1 && status==2) upcb();
		}
		
		uexWindow.setBounce("1");
		
		if(downcb){
			s[0] = '1';
			uexWindow.notifyBounceEvent("0","1");
		}
		if(color){
			uexWindow.showBounceView("0",color,s[0]);
		}else{
			uexWindow.showBounceView("0","rgba(255,255,255,0)",s[0]);
		}
		
		
		if(upcb){
			s[1] = '1';
			uexWindow.notifyBounceEvent("1","1");
		}
		if(color){
			uexWindow.showBounceView("1",color,s[1]);
		}else{
			uexWindow.showBounceView("1","rgba(255,255,255,0)",s[1]);
		}
	//	uexWindow.showBounceView("1","rgba(255,255,255,0)",s[1]);
	}
	if(sta == 2){
		uexWindow.onBounceStateChange = function (type,status){
			uexLog.sendLog("type="+type+"||status="+status);
			if(downcb && type==0 && status==2) downcb();
			if(upcb && type==1 && status==2) upcb();
		}
		uexWindow.setBounce("1");
		var inJson ='{"imagePath":"res://022.gif","textColor":"#530606","pullToReloadText":"拖动刷新","releaseToReloadText":"释放刷新", "levelText":"更新时间:'+upTime+'","loadingText":"加载中，请稍等"}'
		if(downcb){
			uexWindow.setBounceParams('0',inJson);
			uexWindow.showBounceView('0',color,1);
			uexWindow.notifyBounceEvent('0',1);	
		}
		if(upcb){
			var inJson2 ='{"imagePath":"res://reload.png","textColor":"#530606","pullToReloadText":"拖动刷新","releaseToReloadText":"释放刷新","loadingText":"加载中，请稍等"}'
			uexWindow.setBounceParams('1',inJson2)
			uexWindow.showBounceView('1',color,1);
			uexWindow.notifyBounceEvent('1',1);
		}
	}
}

/***
 * 使弹动重置为初始位置
 * @param String type 弹动的类型 0-顶部弹动  1-底部弹动 
 */
function resetBV(type){
	uexWindow.resetBounceView(type);
}

/**
 * 显示加载框
 * @param String mes 显示的提示语
 * @param String t  毫秒数 窗口存在时间 有的话显示框不显示那个“圈”，并且在t时间后消失
 */
function $toast(mes,t){
	// if(t){
		// toasterror(mes,t);
	// }else{
		// uexWindow.toast('1','5',mes,0);
	// }
	uexWindow.toast(t?'0':'1','5',mes,t?t:0);
}

/**
 * 手动关闭加载框
 */
function $closeToast(){
	uexWindow.closeToast();
}

/**
 * 浮动窗口移动动画函数
 * @param String 横向移动位移
 * @param String 纵向移动位移
 * @param Function 动画结束后的回调函数
 */
function disShowAnim(dx, dy, cb){
	uexWindow.beginAnimition();
	uexWindow.setAnimitionDuration('250');
	uexWindow.setAnimitionRepeatCount('0');
	uexWindow.setAnimitionAutoReverse('0');
	uexWindow.makeTranslation(dx,dy,'0');
	uexWindow.commitAnimition();
	if(cb) uexWindow.onAnimationFinish = cb;
}

/**
 * getJSON请求数据的错误回调函数
 * @param {Object} err 返回的错误对象
 */
function getJSONError(err){
    $closeToast();
	resetBV(0);
	resetBV(1);
	if (err.message == 'network error!') {
        alert('网络未连接！');
    }
    if (err.message == 'network error!') {
        alert('网络未连接！');
    }else if (err.message == 'json parse failed!') {
        alert('接口未链接或者接口报错！');
    }else if (err.message == 'file does not exist!') {
		alert('文件不存在！');
    }else if (err.message == 'read file failed!') {
		alert('文件读取错误！');
    }else {
		alert('发现未知错误！');
    }
}

var dbname = "localdb",dbId = 0,userId = 500;
/**
 * 创建或打开数据库
 * @param {Object} cb	初始化DB
 */
function openDB(cb){
	uexDataBaseMgr.cbOpenDataBase = function(opId,type,data){
		if(type==2 && data==0){
			if(cb)	cb();
		}
	}				
	uexDataBaseMgr.openDataBase(dbname,++dbId); 
}


/**
 * 查询操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function selSql(id,sql,cb){
	uexDataBaseMgr.cbSelectSql = function(opId,type,data){
		logs('selSql:	'+opId+','+type+','+data);
		if(type==1){
			if(cb && opId == id)	cb(data);
		//	else if(cb)	cb(false);
		}
	}
	uexDataBaseMgr.selectSql(dbname,id,sql);
}

/**
 * 增删改操作
 * @param {Object} id
 * @param {Object} sql
 * @param {Object} cb
 */
function exeSql(id,sql,cb){
	uexDataBaseMgr.cbExecuteSql = function(opId,type,data){
		logs('exeSql:	'+opId+','+type+','+data);
		if(type==2 && data==0){
			if(cb && opId == id)	cb(data);
			//else if(cb) 	cb(false);
		}
	}
	uexDataBaseMgr.executeSql(dbname,id,sql);
}

/**设置安卓back和menu按键事件监听
 * @b: back键，1为监听。
 * @m: menu键，1为监听。
 * @cb1: back键监听处理回调方法。
 * @cb2: menu键监听处理回调方法。
 */
function addKeyListener(b, m, cb1, cb2){
	if(!isSML) {
		uexWindow.onKeyPressed = function(keyCode){
			if(keyCode==0){
				if(cb1)  cb1();
				//uexWidget.finishWidget(''); //退出应用
			}
			else{
				if(cb2) cb2();
			}
		}
		if(b) uexWindow.setReportKey('0', '1');
		if(m) uexWindow.setReportKey('1', '1');
	}
}

/**
 * json对象转为string
 * @param {Object} j
 */
function json2str(j){
	return JSON.stringify(j);
}
/**
 * string转为json对象
 * @param String s
 */
function str2json(s){
	return JSON.parse(s);
}

/**
 * 取input数据
 * @id: input标签id
 * 返回值：数据内容
 */
function getValue(id){
	var e = $$(id);
	if(e) return e.value;
}

/**
 * 设置input数据
 * @id: input标签id
 * @val: 要设置的数据
 */
function setValue(id, val){
	var e = $$(id);
	if(e) e.value = val;
}

/**
 * 创建DOM节点
 * @param String t
 */
function createEle(t){
	return document.createElement(t);
}
/**
 * 删除DOM节点
 * @param String id
 */
function removeNode(id){
	var e = $$(id);
	if(e) e.parentElement.removeChild(e);
}

/**
 * 调用本地浏览器打开网址
 * @param String url
 */
function loadLink(url){
	var appInfo = ''; 
	var filter = '';
	var dataInfo = url.toLowerCase();
	var pf = uexWidgetOne.platformName;
	if(pf=='android'){
		appInfo = 'android.intent.action.VIEW';
		filter = 'text/html';
	}
	if(dataInfo.indexOf('http://')<0 && dataInfo.indexOf('https://')<0){
		dataInfo = 'http://'+dataInfo;
	}
	uexWidget.loadApp(appInfo, filter, dataInfo);
}

/**
 * 下载文件
 *@String url_update 下载路径 
 *@String name   保存的文件名及格式 例：file.jpg
 *@funciton cb   下载成功后的回调函数
 **/
var did = 1000;
function down_file(url_update,name,cb){
	did++;
	if(isAndroid)
		var saveUpdate = "/sdcard/download/"+name;
	else
		var saveUpdate = "wgt://data/"+name;
	$toast("正在加载中...");
	uexDownloaderMgr.onStatus = function(opCode,fileSize,percent,status){
		switch(status) {
			case 0:
				logs(opCode+"=="+percent);
				var str = '下载进度：'+percent+'%';
				if(fileSize==-1) str = '下载中，请稍候...';
				uexWindow.toast('1','5', str,'');
			break;
			case 1:
				uexDownloaderMgr.closeDownloader(opCode);
				uexWindow.closeToast();
				cb(saveUpdate);
			break;
			case 2:
				uexDownloaderMgr.closeDownloader(opCode);
			break;;
		}
	}
	uexDownloaderMgr.cbCreateDownloader = function(opCode,dataType,data){
		if(data == 0){
			uexDownloaderMgr.download(opCode,url_update,saveUpdate,'0');
		}else{
			alert("创建失败");
		}
	}
	
	uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){
		if(isDefine(data)){
			cb(saveUpdate);
		}else{
			did++;
			uexDownloaderMgr.createDownloader(did);	
		}
	}
	uexFileMgr.isFileExistByPath(did,saveUpdate);
}

/**
*检查网络
*返回值：-1=网络不可用  0=WIFI网络  1=3G网络  2=2G网络
*/
function checkNet(cb){
	uexDevice.cbGetInfo=function (opCode,dataType,data){
        var device = eval('('+data+')');
		var connectStatus=device.connectStatus;
		if(isDefine(connectStatus)){
			cb(connectStatus);
			//if(connectStatus==-1){
			//	console.log('网络状态：网络不可用');
			//}else if(connectStatus==0){
			//	console.log('网络状态：WIFI网络'); 
			//}else if(connectStatus==1){
			//	console.log('网络状态：3G网络'); 
			//}else if(connectStatus==2){
			//	console.log('网络状态：2G网络');
			//}
		}
	}
	uexDevice.getInfo('13');
}


/*
*判断IOS版本号是否大于7，大于7在顶部加20
*为了避免在每个页面都调用这个方法，可以在zy_control.js文件的zy_init()方法中调用。在使用这种方法时，在应用的首页就不要使用zy_init方法了。
*而是改为直接调用该方法，并且传入一个回调函数，在回调函数中在打开浮动窗口，否则就会出现打开的浮动窗口位置错误的问题
*/
/****************设置header字体颜色****************/
 function zhycheck(){
            uexWindow.setStatusBarTitleColor(0);
        }
function add20ToHeader(cb){
    if (isAndroid){
	return;		
	} 
    if (getLocVal('IOS7Plus')) {
        try {
            if (getLocVal('IOS7Plus') == 2) {
                if ($$('header').style.paddingTop) {
                    $$('header').style.paddingTop = (parseInt($$('header').style.paddingTop) + 20) + 'px';
                }
                else {
                    $$('header').style.paddingTop = '20px';
                }
            }
        } 
        catch (e) {
        }
		if(cb) cb();
    }
    else {
        uexDevice.cbGetInfo = function(opId, dataType, data){
            if (data) {
                var device = JSON.parse(data);
                var os = parseInt(device.os);
                if (os >= 7) {
                    setLocVal('IOS7Plus',2);
                    try {
                        if ($$('header').style.paddingTop) {
                            $$('header').style.paddingTop = (parseInt($$('header').style.paddingTop) + 20) + 'px';
                        }
                        else {							
                            $$('header').style.paddingTop = '20px';
                        }
                    } 
                    catch (e) {
                    }
                }else{
					setLocVal('IOS7Plus', 1);
				}
            }
			if(cb) cb();
        };
        uexDevice.getInfo('1');
    }
}

function header_padding(){
	 if (getLocVal('IOS7Plus') == 2) {
	 	  $$('header').style.paddingTop = '20px';
					    $$('header_center').style.paddingTop = '20px';
						$$('header_info').style.paddingTop = '20px';
						$$('header_active').style.paddingTop = '20px';
						$$('header_help').style.paddingTop = '20px';
            }
}

//////////文件操作/////////////
var fileOpId = parseInt(Math.random()*10000);
var filePath = 'wgt://data/locFile.txt';
/**
 * 删除文件
 */
function deletFileByPath(){
    uexFileMgr.cbDeleteFileByPath=function(fileOpId,dataType,data){
        var str = '删除失败';
        if(dataType==2 && data==0) str='删除成功';
        alert(str);
    }


    uexFileMgr.deleteFileByPath(filePath);
    uexFileMgr.closeFile(fileOpId);
    fileOpId++;
}

/**
 * 写文件
 */

function writeFile(){
	uexFileMgr.cbIsFileExistByPath=function(opId,dataType,data){
        if(dataType==2){
            if(data==0){//'文件不存在';
				uexFileMgr.cbCreateFile=function(opId,dataType,data){
			        if(dataType==2 && data==0){
						writeIn();
					};
			    }
			    uexFileMgr.createFile(fileOpId, filePath);
			    uexFileMgr.closeFile(fileOpId);
			    fileOpId++;
			}
            else if(data==1){//'文件存在';
				writeIn();
			}
            
        }
    }
    uexFileMgr.isFileExistByPath(filePath);
    uexFileMgr.closeFile(fileOpId);
    fileOpId++;
}
function writeIn(){
	var content = $$('write').value;
    var inMode = 0; //0为直接写内容，会把之前的内容覆盖；1为追加到文件里
    uexFileMgr.openFile(fileOpId,filePath,1);
    uexFileMgr.writeFile(fileOpId,inMode,content);
    uexFileMgr.closeFile(fileOpId);
    opId++;
}

/**
 * 读文件
 */
function readFile(){
    uexFileMgr.cbReadFile = function (fileOpId,dataType, data){
        if(dataType==0){
            $$("show").innerHTML = data;
        }
    }

    var inLen = -1; //-1表示全部读取
    uexFileMgr.openFile(fileOpId,filePath,1);
    uexFileMgr.readFile(fileOpId,inLen);
    uexFileMgr.closeFile(fileOpId);
    fileOpId++;
}
////////////////



/**********************************************zhy封装的js******************************************************/
/*****判断数字--正整数*****/
function check_Pmath(d){
	var isPmath = /^((\d+))$/;
	if(!isPmath.test(d)){
		return false;
	}else{
		return true;	
	}
}

/*****判断手机号码*****/
function check_Mobile(d){
	var isMobile = /^1[3|4|5|7|8][0-9]\d{4,8}$/;
	if(!isMobile.test(d)){
		return false;
	}else{
		return true;
	}
}

/*****判断座机号码*****/
function chenck_Phone(d){
	 var isPhone=/^((0\d{2,3})-)?(\d{7,8})(-(\d{3,}))?$/;	
	 if(!isPhone.test(d)){
		return false;
	}else{
		return true;	
	}
}
/*****座机号码加-*****/
function formatPhone(userMobile){
    phone3=userMobile.value.slice(0,3);
    if(userMobile.value.length==4){
        var a=userMobile.value[3];
        if(userMobile.value[3]!='-' && (phone3=='010' || phone3=='020' || phone3=='021' || phone3=='022' || phone3=='023' || phone3=='024' || phone3=='025' || phone3=='027' || phone3=='028' || phone3=='029')){
            userMobile.value=phone3+'-'+a;
        }
    }
    if(userMobile.value.length==5){
        var b=userMobile.value[4];
        if(userMobile.value[4]!='-' && phone3!='010' && phone3!='020' && phone3!='021' && phone3!='022' && phone3!='023' && phone3!='024' && phone3!='025' && phone3!='027' && phone3!='028' && phone3!='029'){
            userMobile.value=userMobile.value.slice(0,4)+'-'+b;
        }
    }
}

/*****判断邮箱*****/
function check_Eamil(d){
	var isEamil=/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; 
	if(!isEamil.test(d)){
		return false;	
	}else{
		return true;
	}
}

/**
*计算2个日期相差多少天
*@param String strDateStart和strDateEnd 日期，格式为2014-04-04
*/
function getDays(strDateStart,strDateEnd){
   var strSeparator = "-"; //日期分隔符
   var oDate1;
   var oDate2;
   oDate1= strDateStart.split(strSeparator);
   oDate2= strDateEnd.split(strSeparator);
   var strDateS = new Date(oDate1[0] + "-" + oDate1[1] + "-" + oDate1[2]);
   var strDateE = new Date(oDate2[0] + "-" + oDate2[1] + "-" + oDate2[2]);
   var iDays = parseInt(Math.abs(strDateS - strDateE ) / 1000 / 60 / 60 /24)//把相差的毫秒数转换为天数 
   return iDays;
}

/*****判断两个时间只差*******/

function time_times(starTime,endTime,id){
	var date1 = new Date(starTime.split(';')[0], starTime.split(';')[1], starTime.split(';')[2], starTime.split(';')[3], starTime.split(';')[4]); //开始时间
	var date2 = new Date(endTime.split(';')[0], endTime.split(';')[1], endTime.split(';')[2], endTime.split(';')[3], endTime.split(';')[4]); //结束时间
	var date3 = date2.getTime() - date1.getTime(); //时间差的毫秒数
	//计算相差的年数
	var years = Math.floor(date3 / (12 * 30 * 24 * 3600 * 1000));
	//计算相差的月数
	var leave = date3 % (12 * 30 * 24 * 3600 * 1000);
	var months = Math.floor(leave / (30 * 24 * 3600 * 1000));
	//计算出相差天数
	var leave0 = leave % (30 * 24 * 3600 * 1000);
	var days = Math.floor(leave0 / (24 * 3600 * 1000));
	//计算出小时数
	var leave1 = leave0 % (24 * 3600 * 1000); //计算天数后剩余的毫秒数
	var hours = Math.floor(leave1 / (3600 * 1000));
	//计算相差分钟数
	var leave2 = leave1 % (3600 * 1000); //计算小时数后剩余的毫秒数
	var minutes = Math.floor(leave2 / (60 * 1000));
	//计算相差秒数
	var leave3 = leave2 % (60 * 1000); //计算分钟数后剩余的毫秒数
	var seconds = Math.round(leave3 / 1000);
	if(id==1){
		if(minutes>20){
			setLocVal('ZHYnewProducts','');
			setLocVal('ZHYnewProductsTime','')
		}
	}else if(id==2){
		if(hours>8){
			setLocVal('ZHYProduct','');
			setLocVal('ZHYProductsTime','');
		    uescript('index','list()');
		}
	}else if(id==3){
		if (minutes > 10) {
			openNewWin('activity','activity.html',0,'4');	
		}else{
			openNewWin('activity','activity.html',0,'0');	
		}
	}else if(id==4){
		if (minutes > 10) {
			openNewWin('activitymarket','activitymarket.html',0,'4');
		}else{
			openNewWin('activitymarket','activitymarket.html',0,'0');
		}
	}else if(id==5){
		if(minutes>10){
			//winClose();
			openNewWin('index','index.html',0,'4');
		}else{
			//winClose();
			openNewWin('index','index.html',0,'0');
		}
	}else if(id==6){
		if(days>1){
			openNewWin('helppay','helppay.html',0,'4');
		}else{
			openNewWin('helppay','helppay.html',0,'0');
		}
	}else if(id==7){
		if(days>1){
			openNewWin('help','help.html',0,'4');
		}else{
			openNewWin('help','help.html',0,'0');
		}
	}
	//alert(" 相差 " + years + "年" + months + "月" + days + "天 " + hours + "小时 " + minutes + " 分钟" + seconds + " 秒")
}

/*****获取月的天数*****/
function getDays1moth(year, month){
		month = parseInt(month, 10);
		var temp = new Date(year, month, 0);
		return temp.getDate();
}
/**********港澳台同胞身份证验证方法*********/
function taiHONGAO(num){
    if(num.length==10){
        return true;
    }else{
        return false;
    }
    
	// var rel =/^[a-zA-Z]{1,2}\d{6}\([0-9a-zA-Z]\)$/;  // /^[a-zA-Z][C|D|c|d][0-9]{8}$/  ;
	// if(!rel.test(num)){
		// return false;
	// }else{
		// return true;
	// }
}
/******判断身份证*****/
function isIdCardNo(num){  
	
	num = num.toUpperCase();
	
	//身份证号码为15位或者18位，15位时全为数字，18位前17位为数字，最后一位是校验位，可能为数字或字符X。  
	
	if (!(/(^\d{15}$)|(^\d{17}([0-9]|X)$)/.test(num)))  
	
	{
	
	   $toast('输入的身份证号长度不对，或者号码不符合规定！\n15位号码应全为数字，18位号码末位可以为数字或X!',3000);
	return true;
	  	
	
	}
	var lw = parseInt(num.slice(0,2));
	if(lw<11 || (lw>15 && lw<21) || (lw>23 && lw<31) || (lw>37 && lw<41) || (lw>46 && lw<50) || (lw>54 && lw<61) || lw>65){
	    $toast('输入的身份证号前两位不正确',3000);
        return true;
	}
	//校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
	
	//下面分别分析出生日期和校验位
	
	var len, re;
	
	len = num.length;
	
	if (len == 15)
	
	{
	
	re = new RegExp(/^(\d{6})(\d{2})(\d{2})(\d{2})(\d{3})$/);
	
	var arrSplit = num.match(re);
	
	//检查生日日期是否正确
	
	var dtmBirth = new Date('19' + arrSplit[2] + '/' + arrSplit[3] + '/' + arrSplit[4]);
	
	var bGoodDay;
	
	bGoodDay = (dtmBirth.getYear() == Number(arrSplit[2])) && ((dtmBirth.getMonth() + 1) == Number(arrSplit[3])) && (dtmBirth.getDate() == Number(arrSplit[4]));
	
	if (!bGoodDay)
	
	{
	
			  $toast('输入的身份证号里出生日期不对!',3000);  
	return true;
			 
	
	}
	
	// else
// 	
	// {
// 	
	// //将15位身份证转成18位
// 	
	// //校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
// 	
	// var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2);
// 	
	// var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2');
// 	
	// var nTemp = 0, i;  
// 	
	// num = num.substr(0, 6) + '19' + num.substr(6, num.length - 6);
// 	
	// for(i = 0; i < 17; i ++)
// 	
	// {
// 	
		// nTemp += num.substr(i, 1) * arrInt[i];
// 	
	// }
// 	
	// num += arrCh[nTemp % 11];  
// 	
// 	
// 	
	// }  
	
	}
	
	if (len == 18)
	
	{
	
	re = new RegExp(/^(\d{6})(\d{4})(\d{2})(\d{2})(\d{3})([0-9]|X)$/);
	
	var arrSplit = num.match(re);
	
	//检查生日日期是否正确
	
	var dtmBirth = new Date(arrSplit[2] + "/" + arrSplit[3] + "/" + arrSplit[4]);
	
	var bGoodDay;
	
	bGoodDay = (dtmBirth.getFullYear() == Number(arrSplit[2])) && ((dtmBirth.getMonth() + 1) == Number(arrSplit[3])) && (dtmBirth.getDate() == Number(arrSplit[4]));
	
	if (!bGoodDay)
	
	{
	
	//alert(dtmBirth.getYear());
	
	//alert(arrSplit[2]);
	
	$toast('输入的身份证号里出生日期不对!',3000);
	return true;
	
	
	}
	
	// else
// 	
	// {
// 	
	// //检验18位身份证的校验码是否正确。
// 	
	// //校验位按照ISO 7064:1983.MOD 11-2的规定生成，X可以认为是数字10。
// 	
	// var valnum;
// 	
	// var arrInt = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2);
// 	
	// var arrCh = new Array('1', '0', 'X', '9', '8', '7', '6', '5', '4', '3', '2');
// 	
	// var nTemp = 0, i;
// 	
	// for(i = 0; i < 17; i ++)
// 	
	// {
// 	
	// nTemp += num.substr(i, 1) * arrInt[i];
// 	
	// }
// 	
	// valnum = arrCh[nTemp % 11];
// 	
	// if (valnum != num.substr(17, 1))
// 	
	// {
// 	
		// $toast('18位身份证的校验码不正确!应该为：' + valnum,3000);
	    // return true;
	// }
// 	
	// }
	}
	
}  
 /**制保留2位小数，如：2，会在2后面补上00.即2.00    **/      

function toDecimal2(x) {              
	var f = parseFloat(x);              
	if (isNaN(f)) {   
	            return false;              
	}              
	
	var f = Math.round(x*100)/100;              	
	var s = f.toString();              
	var rs = s.indexOf('.');              
	if (rs < 0) {   
	            rs = s.length;                  
	　　　　　　 s += '.';   
	        }              
	while (s.length <= rs + 2) {   
	            s += '0';              
	}              
	return s;   
}

/*****给银行卡添加空格*********/

//onkeyup="formatBankNo(this)" onkeydown="formatBankNo(this)"
function formatBankNo (BankNo){
	if (BankNo.value == "") return;
		var account = new String (BankNo.value);
		account = account.substring(0,23); /*帐号的总数, 包括空格在内 */
	if (account.match (".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null)
	{
		/* 对照格式 */
		if (account.match (".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" + ".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" +
		".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}|" + ".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null)
		{
			var accountNumeric = accountChar = "", i;
			for (i=0;i<account.length;i++)
			{
				accountChar = account.substr (i,1);
				if (!isNaN (accountChar) && (accountChar != " ")) accountNumeric = accountNumeric + accountChar;
			}
			account = "";
			for (i=0;i<accountNumeric.length;i++)
			{	/* 可将以下空格改为-,效果也不错 */
				if (i == 4) account = account + " "; /* 帐号第四位数后加空格 */
				if (i == 8) account = account + " "; /* 帐号第八位数后加空格 */
				if (i == 12) account = account + " ";/* 帐号第十二位后数后加空格 */
				if (i == 16) account = account + " ";/* 帐号第十六位后数后加空格 */
				account = account + accountNumeric.substr (i,1)
			}
		}
	}
	else
	{
		account = " " + account.substring (1,5) + " " + account.substring (6,10) + " " + account.substring (14,18) + "-" + account.substring(18,25);
	}
	if (account != BankNo.value) BankNo.value = account;
}
function checkBankNo (BankNo){
		if (BankNo.value == "") return;
		if (BankNo.value.match (".[0-9]{4}-[0-9]{4}-[0-9]{4}-[0-9]{7}") == null)
	{
			if (BankNo.value.match ("[0-9]{19}") != null)
			formatBankNo (BankNo)
	}
}
function checkEnterForFindListing(e){
	var characterCode;
	if(e && e.which){
		e = e;
		characterCode = e.which ;
	}
	else{
		e = event;
		characterCode = e.keyCode;
	}
	if(characterCode == 23){
		document.forms[getNetuiTagName("findListingForm")].submit();
		return false;
	}
	else{
		return true ;
	}
}

/******判断银行卡**16位或者19位******/
function checke_Card(card){
	var reg = /^(\d{16}|\d{19})$/;
	if(!reg.test(card)){
		return false;	
	}else{
		return true;	
	}
}

/******判断密码6-20位字符，可以使用字母、数字或符号的组合********/
function check_Password(num){
	var rel =/^(?!^[0-9]*$)(?!^[a-zA-Z]*$)^([a-zA-Z0-9]{6,20})$/
	if(!rel.test(num)){
		return false;
	}else{
		return true;
	}
}

/*****判断数字--整数格式*****/
function check_Math(d){
	var isMath = /^[0-9]*$/;
	if(!isMath.test(d)){
		return false;
	}else{
		return true;
	}
}

/**************可输入整数或两位小数********/
function chek_Size(num){
	var rel = /^-?\d+\.?\d{0,2}$/;
	if(!rel.test(num)){
		return false;
	}else{
		return true;
	}
}

/************判断营业执照************/
function check_License(num){
	var rel = /^\d{15}$/;
	if(!rel.test(num)){
		return false;
	}else{
		return true;
	}
}

/*
js自身没有trim()函数取消字符串中的空白字符

自定义函数：用正则替换掉空白字符
*/

function trim_true(s) { 
	return s.replace(/^\s+|\s+$/g, ""); 
}

var tBirthdatByIdNo ='';
//验证身份证号并获取出生日期
function getBirthdatByIdNo(iIdNo) {
	var tmpStr = "";
	var idDate = "";
	var tmpInt = 0;
	var strReturn = "";

	iIdNo = trim_true(iIdNo);

	if ((iIdNo.length != 15) && (iIdNo.length != 18)) {
		strReturn = "输入的身份证号位数错误";
		return strReturn;
	}

	if (iIdNo.length == 15) {
		tmpStr = iIdNo.substring(6, 12);
		tmpStr = "19" + tmpStr;
		tmpStr = tmpStr.substring(0, 4) + "-" + tmpStr.substring(4, 6) + "-" + tmpStr.substring(6);
		tBirthdatByIdNo= tmpStr;
		return tmpStr;
	}
	else {
		tmpStr = iIdNo.substring(6, 14);
		tmpStr = tmpStr.substring(0, 4) + "-" + tmpStr.substring(4, 6) + "-" + tmpStr.substring(6)
		tBirthdatByIdNo= tmpStr;
		return tmpStr;
	}
}

//提示框
function toasterror(name,time){
	$$('mengban').className='';
	$$('error_window').className='error_window';
	$$('error_window').innerHTML='<div id="window" class="window ub ub-pc ub-ac um um-vp ub-f1">'
+'<div class="zhy_w">'
+'<div class="ub  zhy_login_bg  t-wh uc-tl1 uc-tr1 zhy_err_bg">	'
 +'<div class="ub ub-pc ub-ac uc-l1 ">'
 +'</div>	' 
+'<div class="ub-f1 uinn ub ub-ac ub-pc">错误提示</div>'
+'<div class="ub ub-ac ub-pc ulev2"></div>'
 +'</div>'
+'<div class="ub ub-ver c-wh uc-br1 uc-bl1 zhy_xx_com">	'
 +'<div class=" uinn uc-t1 zhy_tsxx">'+name+'</div>'
  +'<div class=" uinn uc-t1 zhy_tsxx "><div   onclick="colose_tost()" class="btn ulev0 uba center_border uinn5 center_jing c-m1 uc-a1 t-wh zgx_shadow ub ub-pc">关闭</div></div>'
+'</div>'
	+'</div>'
+'</div>'	;
/*
var time_go=setTimeout(function(){
	$$('mengban').className=''
	$$('error_window').className='';
			$$('error_window').innerHTML='';
	},time);		
	clearTimeout('time_go');
*/


	
}

function TestLike(s1,s2)
{
   var pattern = eval("/" + s1 + "/");
   return pattern.test(s2);
}
function colose_tost(){
	$$('mengban').className=''
	$$('error_window').className='';
	$$('error_window').innerHTML='';
}
/*****返回顶部*****/
function myScroll(){
    var x = document.body.scrollTop || document.documentElement.scrollTop;
    var timer = setInterval(function(){
        x = x - 100;
        if (x < 100) {
            x = 0;
            window.scrollTo(x, x);
            clearInterval(timer);
        }
        window.scrollTo(x, x);
    }, "10");
}
function mySystem(){
	if(getLocVal('mySystemName')==1){
		$$('header').className='uh header2 c-m1 t-wh ub';
	}else if(getLocVal('mySystemName')==2){
		$$('header').className='uh header c-m1 t-wh ub'
	}/*
else{
		var jj = [{'key':'Module','type':'0','value':'home'},{'key':'UserToken','type':'0','value':''},{'key':'Method','type':'0','value':'mySystem'},{'key':'ParamJson','type':'0','value':''}];
	var url_data= Interface;
	$.getJSON(url_data,function(data){
		if (data.IsSuccess == true) {
			if(data.ReturnValue=="local"){
				$$('header').className='uh header2 c-m1 t-wh ub'
			    setLocVal('mySystemName',1);  //测试
			}else if(data.ReturnValue=="apollo"){
				$$('header').className='uh header c-m1 t-wh ub'
			    setLocVal('mySystemName',2);  //正式
			}
		}else {
			$$('header').className='uh header2 c-m1 t-wh ub';
			 setLocVal('mySystemName',1);  //测试
				$closeToast();
				toasterror(data.Message, 5000);
			}
		},"json",function(e){
					getJSONError(e)
				},"POST",jj,false);
	}
*/
	
}

function MD5(UserToken,ParamJson){
	
	return md5(UserToken+'$'+ParamJson+'$K8j8ZZ5eiGFxf1mg');
	
}
/****************************************zhy封装公共插件*****************************************/

/******输入框类型*****/
// inputdlgT 类型 0 标准键盘  1 数字键盘
function inputdlg(inputdlgT){	
	//$$(id).value='';
    uexControl.cbOpenInputDialog =function(i,t,d){         
			if(i==0){
				if(d=='请输入产品名或编号' || d=='' ){
					$toast('请输入产品名或编号',3000);
					//$$(id).value=''
				}else{
					var login_classfly = getLocVal('login_classfly');
					if(login_classfly==1){
						ueppscript('electricity','content','searchProducts(\''+d+'\')');
					}else{
						ueppscript('choosebuy','content','searchProducts(\''+d+'\')');
					}
					
				}
			}
        }
    //    setTimeout(function(){uexControl.openInputDialog(inputdlgT,name,'确定');},100);

	var bgParm='{"dialogBg":"#f3f2f2","dialogETBg":"res://input.png","dialogButBg":"res://button.png"}';
        setTimeout(function(){uexControl.openInputDialog(inputdlgT,'请输入产品名或编号','搜索',bgParm);},100);

}

/*************年-月-日时间插件 选择器*************/
var dateFlag3=0;
// typeID 类型 0 日起选择 1时间选择 2 文字选择 3 年月日选择 4 年月选择
function createYearMonthPicker(typeID,id){
    
    uexPicker.resultData = function(result){
        if (result != '(null)') {
            $$(id).value =result;
        }
        else {
        
        }
        
    };
	 var android = window.navigator.userAgent.indexOf('Android');
    var W = window.screen.width;
    var bodyObj = window.getComputedStyle(document.body, null);
    var fz = int(bodyObj.fontSize);
    var opid = 'as500';
    var x = 0;
    var width = W > 1000 ? int(bodyObj.width) * 2 : int(bodyObj.width);
    var height = W > 1000 ? 16 * fz * 2 : 16 * fz;
    var y = height;
    //var typeID = '4';
    var selFontz = W > 1000 ? 3 * fz : 1.5 * fz;
	 if (android >= 0) {
			selFontz = W > 1000 ? 2 * fz : 1 * fz;
			 }
    var pickerJson = '{"pickerConfig":{"frameBgColor":"#ffffff","frameBroundColor":"#bdbdbd","frameBgImg":"res://frame_bg.png","fontSize":"' + selFontz + '","fontColor":"rgba(0,0,0,100)","selFontColor":"#023BA1","selbgColor":"#e3eaf4","selbgImg":"res://bar.png","btnNBgImg":"res://left.png","btnHLBgImg":"res://right.png","btnFontSize":"17","btnNFontColor":"#fff","btnHLFontColor":"#ffffff","btnSize":"60,34","btnTextLeft":"取消","btnTextRight":"确定"}}';
    
    uexPicker.open(opid, x, y, width, height, typeID, pickerJson);
}


/******************拨打电话*******/
function call_number(num){
	uexCall.dial(num);
}
//封装openPop
function zy_con_p(id,url,x,y,fid){
	var s=window.getComputedStyle($$(id),null);
	var ft=window.getComputedStyle($$(fid),null);
	uexWindow.openPopover(id,"0",url,"",parseInt(x),parseInt(y),parseInt(s.width),'',parseInt(s.fontSize),"0");
}

var chars = ['0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z'];
function generateMixed(n) {
     var res = "";
     for(var i = 0; i < n ; i ++) {
         var id = Math.ceil(Math.random()*35);
         res += chars[id];
     }
     return res;
 }
 
 
 
 

//拍照进行上传图片  识别身份证
function UexImage (){
	var data = {
    min:1,
    max:2,
    quality:0.8,
    detailedInfo:true
}
 uexImage.onPickerClosed=function(info){
       // alert(info);
		info= JSON.parse(info);
		OpenCropper(info.data[0]);
    }

var json = JSON.stringify(data);
uexImage.openPicker(json)
}
//进入到剪接方法 
function OpenCropper(url){
	var data={
    src:url,
    mode:1
}
uexImage.onCropperClosed=function(info){
       info = JSON.parse(info);
	   upload(info.data);
    }
var json=JSON.stringify(data);
uexImage.openCropper(json);
}
//上传图片到服务器 
//随机字符串
var chars2 = ['0','1','2','3','4','5','6','7','8','9'];
function generateMixed2(n) {
     var res = "";
     for(var i = 0; i < n ; i ++) {
         var id = Math.ceil(Math.random()*5);
         res += chars2[id];
     }
     return res;
}
function uploadFile(dirPath, cb,name) {
  
    var uploadHttp = Interface+'?Module=home&Method=ParseIDCardInfo';
	//alert(uploadHttp)
    var num =generateMixed2(5); 
        uexUploaderMgr.onStatus = function(opCode, fileSize, percent, serverPath, status) {
            switch (status) {
            case 0:     
			$toast('文件上传中' + percent + '%',3000)        
                //appcan.window.openToast('文件上传中' + percent + '%', 0, 5);
                break;
            case 1:
			$toast('文件上传成功', 3000)
               // appcan.window.openToast('文件上传成功', 3000, 5);
            
                var serverUrl =  serverPath ;
                cb(serverUrl);
                uexUploaderMgr.closeUploader(num);
                break;
            case 2:
              $toast('文件上传失败', 3000)
               // appcan.window.openToast('文件上传失败', 3000, 5);
                
                uexUploaderMgr.closeUploader(num);
                break;
            }

        }
        uexUploaderMgr.cbCreateUploader = function(opCode, dataType, data) {
        
            if (data == 0) {
              // appcan.logs("创建上传对象成功,开始上传文件");
              //  uexUploaderMgr.setHeaders(num,get_email_header());
                uexUploaderMgr.uploadFile(num, dirPath, "IDCardImage", 4);
            } else {
                alert("创建失败");
            }
        }

    uexUploaderMgr.createUploader(num, uploadHttp);
}
function upload(url){
	 var name = url.substring(url.lastIndexOf('/') + 1).toLowerCase();

	uploadFile(url, function(uploadpath) {
		alert(uploadpath);
                   uploadpath = JSON.parse(uploadpath);
				   if(uploadpath.IsSuccess==true){
				   	
				   }else{
				   	  $toast(uploadpath.Message, 3000);
				   }

                }, name);
}