﻿(function (window) {
    var isPhone = (window.navigator.platform != "Win32");
    var isAndroid = (window.navigator.userAgent.indexOf('Android') >= 0) ? true : false;
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    var appSysType_now = 0;
    var appVersion_now = "";

    window.isPhone = isPhone;
    window.isAndroid = isAndroid;
    window.isiOS = isiOS;

    /*加载设备信息*/
    function loadAppInfo()
    {
        var winfo = uexWidgetOne.getCurrentWidgetInfo();
        if (winfo != null) {
            if (winfo.appId != null) currentAppWidgetInfo.appId = winfo.appId;
            if (winfo.name != null) currentAppWidgetInfo.name = winfo.name;
            if (winfo.version != null) currentAppWidgetInfo.version = winfo.version;
        }
        uexDevice.cbGetInfo = function (opCode, dataType, data) {
            var device = eval('(' + data + ')');
            if (device.manufacturer != null && device.manufacturer.length > 0) {
                currentAppWidgetInfo.manufacturer = device.manufacturer ? '' + device.manufacturer + '' : '--';
            }
            if (device.imei != null && device.imei.length > 0) {
                currentAppWidgetInfo.imei = device.imei;
            }
            if (device.deviceToken != null && device.deviceToken.length > 0)
                currentAppWidgetInfo.token = device.deviceToken;
        };
        uexDevice.getInfo(10);//获取设备唯一码
        uexDevice.getInfo(11);//令牌字符串
        uexDevice.getInfo(2);//获取设备供应商

        window.setTimeout(function(){
            setLocVal("currentAppWidgetInfo", JSON.stringify(currentAppWidgetInfo));
        },2000);        
    }
    //检测是否有更新（这个更新并不是APPCAN更新，而是后台是否发布了最新版本，有的话，则提示更新，并重新启动APP，以便应用更新)
    function checkUpdate(type)
    {
        if (isNeedCheckVersion == true) //当前页需要进行版本检测
        {
            if (isAndroid) {
                appSysType_now = 0;//安卓系统
            } else {
                appSysType_now = 1;//IOS系统
            }
            var winfo = uexWidgetOne.getCurrentWidgetInfo();
            var appversion = winfo.version;//当前应用APP
            checkVersion(appversion, appSysType_now);
        }
    }

    //更新完成后执行的方法(指成功更新）
    function widgetPatchUpdate()
    {
        
    }

    if (isAppcan == true) {
        try {//之所有加try，主要是用于在PC端进行测试
            var method = window.uexOnload;
            window.uexOnload = function (type) {
                uexWidget.setPushState(1);
                uexWidget.setPushNotifyCallback(function pushCallback(type) {
                    alert("收到推送消息");
                    var info = uexWidget.getPushInfo();
                    alert(JSON.stringify(info));
                });


                if (isAndroid) {
                    uexWindow.onKeyPressed = function (keyCode) {
                        if (keyCode == '0') {
                            loginout();
                        }
                    }
                    uexWindow.setReportKey('0', '1');//拦截返回键
                }

                //版本升级检测回调，升级完毕后，重新启动应用
                uexEMM.onWidgetPatchUpdate = function (opId, dataType, data) {
                    setLocVal("newVersionUpTip", "0");//新版本更新提示重置为0，这个主要目的是防止重复提示

                    data = JSON.parse(data);
                    if (data.status == 'ok') {
                        clearLocVal("versionOld");

                        apolloDialog.showNotice("更新完毕,准备重启");
                        uexWidgetOne.restart();
                    }
                };
                //加载版本信息
                var appInfo = getLocVal("currentAppWidgetInfo");
                if (appInfo == null || appInfo == "") {//本地缓存中未取到版本信息
                    loadAppInfo();
                }


                //最后进行版本升级检测(在运行10秒后，启动检测)
                window.setTimeout(function () {
                    checkUpdate();
                }, 10000);
                

                try {
                    add20ToHeader(zhycheck, null);
                }
                catch (e) { }

                try {
                    
                }
                catch (e) { }

                if (method != null) {
                    method(type);
                }
            }
        }
        catch (e) {

        }
    }


    //实时检测app版本信息
    function checkVersion(AppVersion, SysType) {
        var successFun = function (rtn) {
            try {
                if (rtn.IsSuccess == true) {
                    var HasNew = '';
                    var IsFull = '';
                    var FullUrl = '';
                    var arr = rtn.ReturnValue;
                    if (arr.length == 3) {
                        HasNew = arr[0];
                        IsFull = arr[1];
                        FullUrl = arr[2];
                    }
                    
                    var upfun = function () {
                        if (IsFull == '1') { //是全量版本才要跳转到下载地址
                            var appInfo = '';
                            var filter = '';
                            if (isPhone) {
                                uexWidget.loadApp(FullUrl);
                            }
                            else {
                                appInfo = 'android.intent.action.VIEW';
                                filter = 'text/html';
                                uexWidget.loadApp(appInfo, filter, FullUrl);
                            }
                        }
                        else
                            uexWidgetOne.restart();
                    }
                    if (HasNew == '1') {
                        var msg = "";
                        if (IsFull == '1') {
                            msg = "发现全量新版本，应用将重启功自动启动升级!";
                        }
                        else {
                            msg = "发现增量新版本，应用将重启功自动启动升级!";
                        }
                        apolloDialog.showNotice(msg, upfun);

                        setLocVal("newVersionUpTip", "");//新版本更新提示
                    }
                }
            }
            catch (e) { }
        };
        var errInfo = function (err) {

        };
        apollo.Home.NewVersionInfo(AppVersion, SysType, successFun, errInfo);
    }

})(window);
//对于Appcan，加载设备版本信息






$(function () {
    try {
        add20ToHeader(zhycheck, null);
    }
    catch (e) { }
});



/*********退出应用********/
function loginout() {
    uexWindow.cbConfirm = function (opId, dataType, data) {
        if (data == 0) {
            uexWidgetOne.exit(0);
        } else {

        }
    }
    uexWindow.confirm("提示", "退出应用", ["确认", "取消"]);
}

function openUrl(url) {
    if (isAppcan == true) {
        gotoUrlforAppcan(url);
    }
    else if (isiOS == true) {
        iosOpenWin("", url);
    }
    else {
        url = apollo.pageInfo.rootvpath + url;
        location.href = url;
    }
}

//为适配appcan和微信，这里统一打开窗口和关闭窗口方法
//打开新窗口
function openWin(name, url, anmi) {
    if (isAppcan == true) {
        gotoPageforAppcan(name, url);
    }
    else if (isiOS == true) {
        iosOpenWin(name, url);
    }
    else {
        anmi = 1;
        url = apollo.pageInfo.rootvpath + url;
        if (parent.openWindow != null) {
            parent.openWindow(name, url, anmi);
        }
        else
            location.href = url;
    }
}
//关闭当前窗口
function closeWin() {
    if (isAppcan == true) {
        winClose(2);
    }
    else if (isiOS == true) {
        iosCloseWin();
    }
    else {
        if (parent.closeWindow != null) {
            parent.closeWindow();
        }
        else
            history.back();
    }
}

//iphone打开窗口
function iosOpenWin(name, url) {
    url = apollo.pageInfo.rootvpath + url;
    location.href = url;
}
function iosCloseWin() {
    history.back();
}


function gotoUrlforAppcan(url) {
    url = apollo.pageInfo.rootvpath + mvcurlTohtmurl(url);
    setLocVal("currentLocationHref", url);

    setLocVal('mb_url', url);
    location.href = url;
}


function gotoPageforAppcan(name, url) {
    url = apollo.pageInfo.rootvpath + mvcurlTohtmurl(url);
    setLocVal("currentLocationHref", url);
    try {
        openNewWin(name, url);
    }
    catch (e) {
        location.href = url;
    }
}

function mvcurlTohtmurl(url) {
    if (isAppcan == true) {
        try {
            var index = url.indexOf("?");
            if (index > 0) {
                var purl = url.substring(0, index);
                var nurl = url.substring(index, url.length);
                if (!apollo.Lib.endsWith(purl, ".html") && !apollo.Lib.endsWith(purl, ".htm") && !apollo.Lib.endsWith(purl, ".aspx") && !apollo.Lib.endsWith(purl, ".asp"))
                    purl += ".html";
                url = purl + nurl;
            }
            else if (index < 0) {
                if (!apollo.Lib.endsWith(url, ".html") && !apollo.Lib.endsWith(url, ".htm") && !apollo.Lib.endsWith(url, ".aspx") && !apollo.Lib.endsWith(url, ".asp"))
                    url += ".html";
            }
        }
        catch (e) {
            alert("gotoPage:" + e.message);
        }
    }
    return url;
}

var appcanWinAnim = 0;

/**
 * @param String inWndName 新窗口名称
 * @param String html		新窗口路径
 * @param String inAniID	打开动画
 * @param String f
 */
function openNewWin(name, url, f) {
    if (appcanWinAnim > 7) appcanWinAnim = 0;
    var anim = appcanWinAnim;
    appcanWinAnim++;
    if (isPhone) { //如果是移动APP端
        uexWindow.open(name, '0', url, anim, '', '', '4');//由右往左切入;区分推入
    } else {
        uexWindow.open(name, '0', url, anim, '', '', (f) ? f : 0, 250);
    }
}

/**
 * 关闭窗口
 * @param string n 关闭窗口动画，默认-1
 */
function winClose(n) {
    try {
        uexWindow.close(-1);
    }
    catch (e) {
        history.back();
    }
}

function zhycheck() {
    uexWindow.setStatusBarTitleColor(0);
}


function isIPhoneX(fn) {
    var u = navigator.userAgent;
    var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    if (isIOS) {
        if (screen.height == 812 && screen.width == 375) {
            return true;
        } else {
            return false;
        }
    }
}

function set20forIOSHeader(elearr, coarr) {

    var h = "20px";
    if (isIPhoneX())
        h = "40px";

    document.body.style.paddingTop = h;// "20px";
    try {
        $(elearr).each(function (i, hdiv) {
            $(hdiv).css("padding-top",h);// "20px");

            if ($(hdiv).hasClass("c-wh"))
                $(hdiv).removeClass("c-wh");

            if ($(hdiv).hasClass("header2"))
                $(hdiv).removeClass("header2");



            //如果是测试，则显示指定样式
            if (getLocVal('mySystemName') == 1) {//测试
                $(hdiv).removeClass("header2");
                $(hdiv).addClass("header2");
                return;
            }

            if ($(hdiv).hasClass("bg-red")) return;


            $(hdiv).removeClass("iosheader");
            $(hdiv).addClass("iosheader");
        });
    }
    catch (e) { }
}
//为在进行注册时执行顶部高度(为IOS）
function set20HeaderForRegSale(panel) {
    if (isAppcan == true) {
        try {
            add20ToHeader(zhycheck, panel);
        }
        catch (e) { }
    }
}


function add20ToHeader(cb, panel) {
    if (isAndroid) {
        return;
    }
    if (getLocVal('IOS7Plus')) {
        try {
            if (getLocVal('IOS7Plus') == 2) {
                if (panel == null) {
                    set20forIOSHeader($(".fiexdHeader"), $(".content"));
                }
                else {
                    set20forIOSHeader(panel.find(".fiexdHeader"), panel.find(".content"));
                }
            }
        }
        catch (e) {
        }
        if (cb != null) cb();
    }
    else {
        uexDevice.cbGetInfo = function (opId, dataType, data) {
            if (data) {
                var device = JSON.parse(data);
                var os = parseInt(device.os);
                if (os >= 7) {
                    setLocVal('IOS7Plus', 2);
                    try {
                        if (panel == null) {
                            set20forIOSHeader($(".fiexdHeader"), $(".content"));
                        }
                        else {
                            set20forIOSHeader(panel.find(".fiexdHeader"), panel.find(".content"));
                        }
                    }
                    catch (e) {
                    }
                } else {
                    setLocVal('IOS7Plus', 1);
                }
            }
            if (cb != null) cb();
        };
        uexDevice.getInfo('1');
    }
}


function setMobileHeaderCSS(hdiv, css) {
    setLocVal
    var hdiv = $("")


    hdiv.removeClass("header_InnerTest");
    hdiv.removeClass("header_DevTest");
    hdiv.removeClass("header_InnerTest");
    if (css == "header_InnerTest" || css == "header_DevTest" || css == "header_InnerTest") {
        hdiv.addClass(css);
    }
}

