﻿(function () {
    function isWeiXin() {
        var ua = window.navigator.userAgent.toLowerCase();
        if (ua.match(/MicroMessenger/i) == 'micromessenger') {
            return true;
        } else {
            return false;
        }
    }
    function ishtml5() {
        if (window.applicationCache) {
            return true;
        } else {
            return false;
        }
    }

    /**
    * 获取当前Phone所在目录（完整访问路径),主意，aeditor.js必须是在编辑器目录的根目录下
    */
    function getJSPath() {
        var path = "";
        var scriptNodes = document.getElementsByTagName("script");
        for (var i = 0; i < scriptNodes.length; i++) {
            var src = scriptNodes[i].src;
            if (!src) {
                continue;
            }
            var m = src.match(/Content\/apolloui\/JsLoader\.js(\W|$)/i);
            if (m) {
                path = src.substring(0, m.index);
            }
        }
        return path;
    }


    function loadAllScript(rootvpath) {
        var JSSiteUrl = "", webApiSiteUrl = "";
        if (rootvpath == null || rootvpath == "")
            rootvpath = "/";

        var jsPath = rootvpath + "Content/";

        var release = window.APOLLOUI_SYSTEM_GLOBAL_VOL.release;


     //   document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/iconfont/iconfont.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/icomoon/style.css\">");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/icomoon/ie7/ie7.css\">");


        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/apolloui.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/third-party/animate.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/aui_animations.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "apolloui/css/apolloui-extend.css\" />");

        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "Styles/base.css\" />");
        document.write("<link rel=\"stylesheet\" href=\"" + jsPath + "Styles/forms.css\" />");

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/jquery.min.js\"></script>");
        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/jquery.validate.min.js\"></script>");


        //这三个脚本由rsformlib.js加载

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "formlib/rsformlib.js?v=" + release + "\"></script>");

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/modernizr.custom.js\"></script>");
        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/apollo.js?v=" + release + "\"></script>");

        document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/apollo.extend.js?v=" + release + "\"></script>");

        if (ishtml5()) {
            document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/apollo.dialog.js?v=" + release + "\"></script>");
        }


        if (isWeiXin()) {
            document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/jweixin-1.2.0.js\"></script>");
            document.write("<script type=\"text/javascript\" src=\"" + jsPath + "apolloui/shared/wxAppCommon.js?v=" + release + "\"></script>");
        }
    }

    loadAllScript(getJSPath());
})();


//图片加载错误时激活的事件
function onLoadImgError(img) {
    try {
        img.onerror = null;
    }
    catch (e) { }
    $(img).attr("src", apollo.pageInfo.rootvpath + "Content/Images/NoPic.png");
}

function onLoadPhotoError(img) {
    try {
        img.onerror = null;
    }
    catch (e) { }
    $(img).attr("src", apollo.pageInfo.rootvpath + "Content/Images/sp-photo.jpg");
}

(function (doc, win) {
    var docEl = doc.documentElement,
    resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
    recalc = function () {
        var clientWidth = docEl.clientWidth;
        if (!clientWidth) return;
        var fs = 16 * (clientWidth / 320);
        if (fs > 20) fs = 20;
        docEl.style.fontSize = fs + 'px';
    };

    if (!doc.addEventListener) return;
    win.addEventListener(resizeEvt, recalc, false);
    doc.addEventListener('DOMContentLoaded', recalc, false);
})(document, window);