﻿/*云店系统脚本加载器，用于扩展apollo.mobile.ui*/

//先对apollo对象进行扩展
(function () {
    var isSupportLocal = false;
    if (localStorage) {
        isSupportLocal = true;
    } else {
        isSupportLocal = false;
    }
    apollo.userToken = "";
    apollo.login = function (sessionid) {
        apollo.userToken = sessionid;
        //进行本地化保存(HTML5)当前会话ID
        if (isSupportLocal) localStorage.setItem("sessionid", sessionid);
    };
    apollo.logout = function () {
        apollo.userToken = "";
        if (isSupportLocal) localStorage.removeItem("sessionid");
    };

    if (isSupportLocal && apollo.userToken == "" || apollo.userToken == "00000000-0000-0000-0000-000000000000")
        apollo.userToken = getSessionid();

    //当没有登录时，自动跳转到这页
    apollo.noLoginGotoFun = function () {
        if (apollo.isPCComputer())
            top.location.href = apollo.getvpath("CKHome/Login");
        else
            openWin("Login", "Mobile/CKHome/Login");
    };

    function getSessionid() {
        var sessionid = "";
        if (isSupportLocal) {
            sessionid = localStorage.getItem("sessionid");
            if (sessionid == null)
                sessionid = "";
        }
        return sessionid;
    }

    apollo.isminiprogram = function () {
        var iswxmi = false;
        try {
            iswxmi = false;
            var ua = navigator.userAgent.toLowerCase();
            if (ua.match(/MicroMessenger/i) == "micromessenger") {
                //ios的ua中无miniProgram，但都有MicroMessenger（表示是微信浏览器）
                wx.miniProgram.getEnv(function (res) {
                    if (res.miniprogram) {
                        iswxmi = true;
                    }
                });
            }
        }
        catch (e) { }
        try {
            if (wx != null && wx.miniProgram != null) {
                wx.miniProgram.getEnv(function(res){
                    if (res.miniprogram) {
                        iswxmi = true;
                    }
                });
            }
        }
        catch (e) { }
        return iswxmi;
    }

    //获取当前小程序运行环境
    apollo.getAppType = function () {
        if (apollo.isminiprogram())
            return 3;
        else
            return window.APOLLOUI_SYSTEM_GLOBAL_VOL.defaultParam.AppDevEnvironment;
    }
   
    apollo.form = $.extend({
        inputHeight: 33,
        gridFunHeight: 33,
        searchInputHeight:26
    },apollo.form);
})();



