﻿/*个人中心首页脚本*/


//初始化首页各业务列表
//购物列表
var curBillTab = null;
var saleTableUtil = null;
var saleListType = 1;


var payTableUtil;
var shopTableUtil;

window.isMainIndex = true;



function initTab() {
    var lis = $(".mainBillTab").children();

    $(lis).each(function (i, liobj) {
        var li = $(liobj);
        li.css("cursor", "pointer");

        var ltype = li.attr("ltype");

        if (ltype == "payList") {
            li.click(function () {
                var curli = $(this);
                if (curli == curBillTab) return;
                setliStatus(curli);

                listPay(curli);
            });
        }
        else if (ltype == "shopType") {
            li.click(function () {
                var curli = $(this);
                if (curli == curBillTab) return;
                setliStatus(curli);

                listShop(curli);
            });
        }
        else {
            if (ltype == "1")
                ltype = 1;
            else if (ltype == "2")
                ltype = 2;
            else
                ltype = 0;
            li.data("ListType", ltype);
            li.click(function () {
                var curli = $(this);
                if (curli == curBillTab) return;
                setliStatus(curli);

                listSale(curli);
            });
        }
        if (i == 0) {
            li.addClass("act");
            curBillTab = li;
            saleListType = curBillTab.data("ListType");
        }
    });
}

function setliStatus(curli) {
    if (curli == curBillTab) return;

    if (curBillTab != null) {
        curBillTab.removeClass("act");
    }
    curli.addClass("act");

    curBillTab = curli;
}

//显示购物记录
function listSale(curli) {
    $("#divPaylist").hide();
    $("#divShoplist").hide();
    $("#divBilllist").show();

    showSaleList(curli.data("ListType"));
}
function listShop(curli) {
    $("#divPaylist").hide();
    $("#divShoplist").show();
    $("#divBilllist").hide();
}

function listPay(curli) {
    $("#divPaylist").show();
    $("#divShoplist").hide();
    $("#divBilllist").hide();
}




//购物列表     
function initSaleList(isShop) {
    var saleColumns = [];
    //以下为初始化表格列
    
    saleColumns.push({ text : "分类", field : "BillType" });
    saleColumns.push({
        text: "单号", field: "BillNo"
    });
    saleColumns.push({ text : "购物日期", field : "CashDate" });
    saleColumns.push( { text : "购物类型", field : "SaleTypeName" });
    saleColumns.push( { text : "购物总额(元)", field : "TotalMoney" });
    saleColumns.push( { text : "已付款额(元)", field : "PayedMoney" });
    saleColumns.push( { text : "付款方式", field : "RemitTypeName" });

    //if (isShop )//珍珠店
    //{
    //    saleColumns.push({ text : "审核日期", field : "FinanceAuditDate" });
    //}
    //else
    //    saleColumns.push({ text: "审核日期", field: "ShopLeaderAuditDate" });


    saleColumns.push({
        text: "查阅", field: "", formatFun: function (row) {
            var aLink = "<a href='" + apollo.pageInfo.rootvpath + "Home/SaleView?CashType="+ row.CashType +"&CashCode="+ row.CashCode +"' target='_self'>【订单详情】</a>";
            return aLink;
        }
    });




    saleTableUtil = $("#tbSaleBill").pageTable({
        pageSize: 20,
        columns: saleColumns,
        getDataFun: function (pageIndex, pageSize, successFun) {
            apollo.Common.GetSaleBillList(saleListType, pageIndex, pageSize, successFun)
        }
    });
}
function showSaleList(ltype) {
    if (ltype == 0 || ltype == 1 || ltype == 2)
        saleListType = ltype;
    else
        saleListType = 0;

    saleTableUtil.goto(0);
}

//充值记录列表
function initPayList() {
    var columns = [
        { text: "充值单号", field: "BillNo" },
        { text: "充值时间", field: "BillDate" },
        { text: "充值金额", field: "PayMoney" },
        { text: "手续费", field: "SXFee" },
        { text: "实际支付金额", field: "Amount" },
        { text: "状态", field: "StateName" }
    ];
    payTableUtil = $("#tbPaylist").pageTable({
        pageSize: 20,
        columns: columns,
        getDataFun: function (pageIndex, pageSize, successFun) {
            apollo.Common.GetPayList(pageIndex, pageSize, successFun)
        }
    });
}
function initShopList() {
    var columns = [
        { text: "店号", field: "ShopCode" },
        { text: "店名", field: "ShopName" },
        { text: "注册日期", field: "ApplyDate" },
        { text: "审核日期", field: "AuditDate" }
    ];
    shopTableUtil = $("#tbShoplist").pageTable({
        pageSize: 20,
        columns: columns,
        getDataFun: function (pageIndex, pageSize, successFun) {
            apollo.Common.GetShopList(pageIndex, pageSize, successFun)
        }
    });
}





//初始化个人中心首页
function initHomeMain(isShop)
{
    initTab();

    $("#divPaylist").hide();
    $("#divShoplist").hide();
    $("#divBilllist").show();

    initSaleList(isShop);    

    if (isShop) //是珍珠店
    {
        initPayList();
        initShopList();
    }
}


//在线进行充值
function onlinePay(shopCode)
{
    Recharge("shop", shopCode, function () {
        payTableUtil.goto(0);
    });
}

//店充值
function Recharge(PlatForm, ShopCode, callBack) {
    if (apollo.Lib.isEmpty(ShopCode)) return;

    var successFun= function (rtn) {
        if (rtn.IsSuccess) {
            var url = rtn.ReturnValue + "?MyCode=" + ShopCode + "&PlatForm=" + PlatForm;
            openModelDialog(RS.pageInfo.rootvpath + "Content/Paying.html", 400, 300, callBack, { url: url });
        }
        else
            showNotice(rtn.Message);

    };
    var errFun= function (errMsg) {
        showNotice("进行充值准备时出现异常：" + errMsg);
    };

    apollo.Common.GetPaymentUrlNoParam(successFun, errFun);
}

//重复开店
function ReRegShop(shopCode)
{
    if (apollo.Lib.isEmpty(shopCode)) return;

    var url = apollo.pageInfo.rootvpath + "Reg/JXSReg/Index?FromShopCode=" + shopCode + "&Timer=" + Math.random();
    location.href = url;
}

