﻿/*功能菜单*/
var menuFrame = null;
function initMenu() {
    var successFun = function (rtn) {
        if (rtn.IsSuccess) {
            var menus = rtn.ReturnValue;
            $('#trMenu').tree({
                border: false,
                data: menus,
                animate: true,
                onClick: function (node) {
                    if (apollo.Lib.isNotEmpty(node.attributes.WebUrl)) {
                        var url = RS.pageInfo.rootvpath + node.attributes.WebUrl;
                        if (node.attributes.IsSelf == true)
                            location.href = url;
                        else
                            menuFrame.toUrl(url);
                    }
                }
            });
        }
        else {
            viewError(rtn.Message, false);
        }
    };
    apollo.Common.GetUserMenus(successFun);
}
//用于显示错误信息
function viewError(msg, isClose) {
    var url = RS.pageInfo.rootvpath + "Home/ErrorMessage";
    url = mvcurlTohtmurl(url);
    $.get(url, {}, function (html, status) {
        var frame = $("body");
        frame.html(html);
        showMessage(msg, isClose);
    });
}

function initFrame(url)
{
    menuFrame = $("#mainFrame").contentFrame({url:url});
}


function changeBodySize(myBody)
{
    menuFrame.changeSize(myBody);
}

//当页面变换时
function changePage(isIndex)
{
    if (isIndex == true) //加载的是首页
    {
        $("#btnConfig").show();
        $("#btnCX").show();
    }
    else {
        $("#btnConfig").hide();
        $("#btnCX").hide();
    }
}


