﻿/*通用模板显示脚本*/
///初始化产品分类及类型
function initProductTypeAndClass(showProductList) {
    $("#ptView").hide();

    var successFun = function (rtn) {
        var arrPT = rtn.ProductTypes;
        var arrCT = rtn.ClassTypes;

        //先设置产品类型集
        var ulpt = $("#divPT");
        ulpt.empty();
        $(arrPT).each(function (i, pt) {
            var li = $("<li></li>");
            li.html(pt.Name);
            li.data("Code", pt.Code);
            li.click(function (e) {
                hidePTNav();
                var code = $(this).data("Code");
                showProductList($("txtKeyword").val(), code, "");
            });
            ulpt.append(li);
        });

        //设置产品分类
        ulpt = $("#divClass");
        ulpt.empty();
        $(arrCT).each(function (i, ct) {
            var li = $("<li></li>");
            li.html(ct.Name);
            li.data("Code", ct.Code);
            li.click(function (e) {
                var code = $(this).data("Code");
                showProductList($("txtKeyword").val(), "", code);
            });
            ulpt.append(li);
        });
    };

    apollo.SelProduct.GetPtsAndCts("shop", successFun);


    $("#ptTitle").click(function (e) {
        showPTNav();
    });


    $(".mainPTNav").mouseleave(function (e) {
        hidePTNav();
    });
    $(".mainPTNav").mouseover(function (e) {
        showPTNav();
    });
    
    $("#btnSearch").click(function (e) {
        var key = $("#txtKeyword").val();
        showProductList(key, "", "");
    })
}

//显示产品分类
function showPTNav() {
    //设置产品分类栏样式
    $("#ptView").show();
}
//隐藏产品分类
function hidePTNav() {
    $("#ptView").hide();
}

//显示产品列表
function showProductList(key, productType, classType) {
}

$(function () {
    initProductTypeAndClass();
});